Page MenuHomeFreeBSD

net-p2p/bitmark: update to 0.15.0
ClosedPublic

Authored by hsw_bitmark.com on Dec 26 2022, 2:30 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 18 2024, 4:00 PM
Unknown Object (File)
Jan 18 2024, 4:00 PM
Unknown Object (File)
Dec 14 2023, 11:09 AM
Unknown Object (File)
Dec 14 2023, 3:39 AM
Unknown Object (File)
Dec 13 2023, 6:39 AM
Unknown Object (File)
Dec 4 2023, 7:22 AM
Unknown Object (File)
Nov 28 2023, 10:53 AM
Unknown Object (File)
Nov 27 2023, 7:39 AM
Subscribers

Details

Summary

net-p2p/bitmark updated because of btcd dependency updates and fixes

Test Plan

poudriere testport -i -j 13_1-amd64 net-p2p/bitmark
poudriere bulk -j 13_1-amd64 net-p2p/bitmark net-p2p/bitmark-daemon net-p2p/bitmark-cli

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 48886
Build 45775: arc lint + arc unit

Event Timeline

arrowd added inline comments.
net-p2p/bitmark/Makefile
9

Why did you remove this?

net-p2p/bitmark/Makefile
9

not checking my local repo for all the changes inFreeBSD ports :( Let me fix it

net-p2p/bitmark/Makefile
63

I'm not a Go expert, but why these packages need manual symlinking?

some of these symlink commands come from the modules2tuple port used to determine the dependencies from the last go build command. However I found that it does not handle the /Vn version specific items where V0, V1 and V2 were all referenced, these add added by trial and error un til the port built successfully and would run correctly for my testing.

@dmgk You're into Go stuff, can you take a look, please? ^

I'd suggest dropping GH_TUPLE and switching to GO_MODULE instead, something like https://gist.github.com/dmgk/3cd7a4f1c8ef45a7e1cd9f57cf4a466c
Also the "go" directive in go.mod needs to be bumped to at least 1.17 (or golang.org/x/sys downgraded to the version that still supports go1.16), otherwise I'm getting build errors:

# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/syscall.go:83:16: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
vendor/golang.org/x/sys/unix/syscall_unix.go:118:7: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)

switch to go module and amend dependent bitmark-* ports

@dmgk thanks for the GO_MODULE suggestion, I had problems with dependent bitmark-* ports.
The only way I found for the present was to override the distinfo in each of their Makefiles.

Is there a better way perhaps?

Uses/go.mk doesn't allow overriding DIST_SUBDIR. Maybe it should, @dmgk ?

Uses/go.mk doesn't allow overriding DIST_SUBDIR. Maybe it should, @dmgk ?

What problem would it solve? In GO_MODULE mode, DIST_SUBDIR serves as a local GOPATH for each port, with nested GOMODCACHE. What would be the reason to move it elsewhere?

@dmgk thanks for the GO_MODULE suggestion, I had problems with dependent bitmark-* ports.
The only way I found for the present was to override the distinfo in each of their Makefiles.

Is there a better way perhaps?

AFAIK, overriding DISTINFO_FILE in slave ports is how it's usually done.

This revision is now accepted and ready to land.Jan 3 2023, 2:46 PM
This revision was automatically updated to reflect the committed changes.